Dropbox会删除Linux但ext4上的所有文件系统

2019-10-12 10:22:00

到11月7日,云存储和同步提供程序Dropbox将放弃对Linux上除ext4之外的任何文件系统的支持。

实际上,Dropbox宣布它将在未来的桌面系统上仅支持四个文件系统。公司代表Jay在官方的Dropbox论坛上透露了很多内容。

[..]在2018年11月7日,我们将停止对Dropbox与具有某些罕见文件系统的驱动器同步的支持。支持的文件系统是Windows的NTFS,Mac的HFS +或APFS,以及Linux的Ext4。

Dropbox向受影响的用户显示通知,警告他们如果Dropbox不移动Dropbox的位置,他们将停止同步。

Dropbox不支持Microsoft的弹性文件系统ReFS或Fat32,在Linux 上不支持文件系统,但支持ext4。

Dropbox Linux

桌面系统要求突出显示了所有受支持操作系统的新要求。Linux要求将Ubuntu 10.04或更高版本以及Fedora 19或更高版本列为Dropbox客户端正式支持的唯一操作系统。

它指出用户需要使用Ext4格式化的硬盘驱动器,并且其中包括大多数Linux用户。Dropbox没有提到,但是,加密的ext4卷将在11月7日之前不受支持,因为运行加密卷的客户将获得与在Linux上运行另一个文件系统(例如Brtfs)的用户相同的“同步将停止工作”通知。

为什么Dropbox进行更改?

公司代表Jay也提供了答案:

由于Dropbox依赖扩展属性(X-attrs)来识别Dropbox文件夹中的文件并使它们保持同步,因此需要受支持的文件系统。我们将继续仅支持支持X-attrs的最常见文件系统,因此我们可以确保稳定性和一致的体验。

运行GNU / Linux的设备上使用的其他几个文件系统也使用X-attrs。该列表包括ext2和ext3,JFS,Btrfs,OrangeFS或Reiser4。

Jay建议,如果最近使用了具有不受支持的文件系统的计算机或将其链接到Dropbox帐户,则运行受支持系统的用户可能仍会收到通知。

如果您收到通知,但正在运行一种受支持的文件系统,则可能是您最近链接的计算机运行了不受支持的文件系统,但是已经升级,或者不再使用该计算机。

结束语

如果Dropbox不能更改要求,那么Linux用户将无法使用任何文件系统,但Dropbox文件夹只能使用ext4。比这还存在更多问题,因为Dropbox现在不支持加密的ext4卷,这表明使用它们的系统也将停止与Dropbox同步。

一种解决方法已在Metabubble网站上发布,受影响的用户可能想看看。

受影响的Dropbox用户可能想看看开源服务NextCloud和OwnCloud作为替代品。

郑重声明:本文版权归原作者所有,转载文章仅为传播更多信息之目的,如作者信息标记有误,请第一时间联系我们修改或删除,多谢。